HubstaffDeveloper Portal

Lists

Organize tasks into lists within projects

Get list

GET/v1/lists/{list_id}

Returns the list with the given ID.

Parameters

NameInTypeDescription
list_idrequired
pathinteger (int32)
A list ID

Responses

200A list
object
  • listobject
    object

    list model

    • idinteger
    • namestring
    • project_idinteger
    • positioninteger
    • task_countinteger
    • typestring
    • created_atstring
    • updated_atstring
Example response
json
{
  "list": {
    "id": 0,
    "name": "string",
    "project_id": 0,
    "position": 0,
    "task_count": 0,
    "type": "string",
    "created_at": "2024-01-15T10:30:00Z",
    "updated_at": "2024-01-15T10:30:00Z"
  }
}
400Invalid parameters
object

HubstaffTasks_Public_V1_Entities_Error model

  • codestring

    Error code

  • errorstring

    Descriptive error message

Example response
json
{
  "code": "string",
  "error": "string"
}
401Unauthorized
object

HubstaffTasks_Public_V1_Entities_Error model

  • codestring

    Error code

  • errorstring

    Descriptive error message

Example response
json
{
  "code": "string",
  "error": "string"
}
403API access is only for organizations on an active plan
object

HubstaffTasks_Public_V1_Entities_Error model

  • codestring

    Error code

  • errorstring

    Descriptive error message

Example response
json
{
  "code": "string",
  "error": "string"
}
404Could not find record
object

HubstaffTasks_Public_V1_Entities_Error model

  • codestring

    Error code

  • errorstring

    Descriptive error message

Example response
json
{
  "code": "string",
  "error": "string"
}
429Rate limit exceeded
object

HubstaffTasks_Public_V1_Entities_Error model

  • codestring

    Error code

  • errorstring

    Descriptive error message

Example response
json
{
  "code": "string",
  "error": "string"
}

List project lists

GET/v1/projects/{project_id}/lists

Returns a collection of lists for the given project.

Use removed=true to include removed lists.

Parameters

NameInTypeDescription
page_start_id
queryinteger (int32)
The page start ID.
page_limit
queryinteger (int32)
The default page size
removed
queryboolean
project_idrequired
pathinteger (int32)
A project ID

Responses

200A collection of lists
object
  • listsarray
    array<object>
    items
    object

    list model

    • idinteger
    • namestring
    • project_idinteger
    • positioninteger
    • task_countinteger
    • typestring
    • created_atstring
    • updated_atstring
Example response
json
{
  "lists": [
    {
      "id": 0,
      "name": "string",
      "project_id": 0,
      "position": 0,
      "task_count": 0,
      "type": "string",
      "created_at": "2024-01-15T10:30:00Z",
      "updated_at": "2024-01-15T10:30:00Z"
    }
  ]
}
400Invalid parameters
object

HubstaffTasks_Public_V1_Entities_Error model

  • codestring

    Error code

  • errorstring

    Descriptive error message

Example response
json
{
  "code": "string",
  "error": "string"
}
401Unauthorized
object

HubstaffTasks_Public_V1_Entities_Error model

  • codestring

    Error code

  • errorstring

    Descriptive error message

Example response
json
{
  "code": "string",
  "error": "string"
}
403API access is only for organizations on an active plan
object

HubstaffTasks_Public_V1_Entities_Error model

  • codestring

    Error code

  • errorstring

    Descriptive error message

Example response
json
{
  "code": "string",
  "error": "string"
}
404Could not find record
object

HubstaffTasks_Public_V1_Entities_Error model

  • codestring

    Error code

  • errorstring

    Descriptive error message

Example response
json
{
  "code": "string",
  "error": "string"
}
429Rate limit exceeded
object

HubstaffTasks_Public_V1_Entities_Error model

  • codestring

    Error code

  • errorstring

    Descriptive error message

Example response
json
{
  "code": "string",
  "error": "string"
}

Create list

POST/v1/projects/{project_id}/lists

Creates a new list for the given project.

Returns the created list.

Available types: normal (default), done.

Parameters

NameInTypeDescription
project_idrequired
pathinteger (int32)
A project ID

Request body

object
  • list[name]string required

    The list label

  • list[type]string

    The list type

  • list[position]integer

    The list position. Default is to add as the last list.

Responses

201A list
object
  • listobject
    object

    list model

    • idinteger
    • namestring
    • project_idinteger
    • positioninteger
    • task_countinteger
    • typestring
    • created_atstring
    • updated_atstring
Example response
json
{
  "list": {
    "id": 0,
    "name": "string",
    "project_id": 0,
    "position": 0,
    "task_count": 0,
    "type": "string",
    "created_at": "2024-01-15T10:30:00Z",
    "updated_at": "2024-01-15T10:30:00Z"
  }
}
400Invalid parameters
object

HubstaffTasks_Public_V1_Entities_Error model

  • codestring

    Error code

  • errorstring

    Descriptive error message

Example response
json
{
  "code": "string",
  "error": "string"
}
401Unauthorized
object

HubstaffTasks_Public_V1_Entities_Error model

  • codestring

    Error code

  • errorstring

    Descriptive error message

Example response
json
{
  "code": "string",
  "error": "string"
}
403API access is only for organizations on an active plan
object

HubstaffTasks_Public_V1_Entities_Error model

  • codestring

    Error code

  • errorstring

    Descriptive error message

Example response
json
{
  "code": "string",
  "error": "string"
}
404Could not find record
object

HubstaffTasks_Public_V1_Entities_Error model

  • codestring

    Error code

  • errorstring

    Descriptive error message

Example response
json
{
  "code": "string",
  "error": "string"
}
429Rate limit exceeded
object

HubstaffTasks_Public_V1_Entities_Error model

  • codestring

    Error code

  • errorstring

    Descriptive error message

Example response
json
{
  "code": "string",
  "error": "string"
}